<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<table [attr.aria-describedby]="describedById" class="table align-middle">
	<thead>
	<tr>
		<th class="w-0" scope="col">
			<input
				#mainCheckbox
				(ngModelChange)="selectOrUnselectAll($event)"
				*ngIf="selectableBallotBoxes.size"
				[disabled]="!enableCheckbox"
				[attr.aria-label]="'ballotBoxList.selectAll' | translate"
				[ngModel]="allSelected"
				class="form-check-input"
				type="checkbox"
			/>
		</th>
		<th class="ps-3" scope="col">
			{{ 'ballotBoxList.category' | translate }}
		</th>
		<th scope="col">
			{{ 'ballotBoxList.name' | translate }}
		</th>
		<th scope="col">
			{{ 'ballotBoxList.from' | translate }}
		</th>
		<th scope="col">
			{{ 'ballotBoxList.to' | translate }}
		</th>
		<th scope="col">
			{{ 'ballotBoxList.grace' | translate }}
		</th>
		<th scope="col">
			{{ 'ballotBoxList.id' | translate }}
		</th>
		<th class="w-15" scope="col">
			{{ 'ballotBoxList.status' | translate }}
		</th>
	</tr>
	</thead>
	<tbody>
	<tr
			(isSelectable)="toggleFromSelectableList(ballotBox, $event)"
			(selectedChange)="selectOrUnselect(ballotBox, $event)"
			*ngFor="let ballotBox of ballotBoxes"
			[ballotBox]="ballotBox"
			[isSelected]="selectedBallotBoxes.has(ballotBox)"
			[isShownWhenIdle]="showIdle"
			[isCheckboxEnabled]="enableCheckbox"
			sdm-ballot-box-list-item
	></tr>
	</tbody>
</table>
